import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class ItemwiseStrategyBasedIndicator extends StrategyBasedIndicator {
    static $t: Type;
    ace: ItemwiseIndicatorCalculationStrategy;
    abstract get acf(): ItemwiseIndicatorCalculationStrategy;
    protected get_abt(): IndicatorCalculationStrategy;
    protected get abt(): IndicatorCalculationStrategy;
    acg(): boolean;
    constructor();
    protected ab7(): void;
}
